SoGLClipPlaneElement(3)

NAME
SoGLClipPlaneElement - The SoGLClipPlaneElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLClipPlaneElement.h>

Inherits SoClipPlaneElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static int getMaxGLPlanes (void)
FIXME: write doc.

  Protected Member Functions
virtual ~SoGLClipPlaneElement ()
virtual void addToElt (const SbPlane &plane, const SbMatrix &modelMatrix)
FIXME: write doc.

  Additional Inherited Members

Detailed Description

The SoGLClipPlaneElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLClipPlaneElement::~SoGLClipPlaneElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLClipPlaneElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLClipPlaneElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLClipPlaneElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLClipPlaneElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLClipPlaneElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoClipPlaneElement.

  void SoGLClipPlaneElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLClipPlaneElement::addToElt (const SbPlane & plane, const SbMatrix & modelMatrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoClipPlaneElement.

Author

Generated automatically by Doxygen for Coin from the source code.